Hydrilla AI Logo
GET/v1/modelsFree (0 credits)

List Models & Capabilities

Returns all currently available 3D reconstruction and 2D concept generation models, active versions, and credit costs.

Authentication
Authorization: Bearer hyd_live_...
Base URL
https://api.hydrilla.co

Request Example

BASH
curl -X GET https://api.hydrilla.co/v1/models \
  -H "Authorization: Bearer hyd_live_your_api_key_here"

Response

200_SUCCESS.json
{
  "models": [
    {
      "id": "bluefox-1",
      "type": "3d",
      "provider": "hydrilla",
      "name": "BlueFox 3D v1",
      "credits": 2,
      "max_resolution": 1536
    },
    {
      "id": "gpt-image-2.5-flare",
      "type": "image",
      "provider": "openai",
      "name": "GPT Image 2.5 Flare",
      "credits": 1
    },
    {
      "id": "gemini-3.1-flash-image",
      "type": "image",
      "provider": "gemini",
      "name": "Gemini 3.1 Flash Image",
      "credits": 1
    }
  ]
}